{% extends 'core/layout/layout.html.twig' %}

{% block stylesheets %}
{{ parent() }}
        
        {% block title %}Mon panier!{% endblock %}

{% endblock %}

{% block container %}
    <div class="content-landing">
        {% block content %}
        
       <section>
        <h2>Mon panier</h2>
        <table class="table">
            <thead>
                <tr class="table-active">
                    <td>Produit</td>
                    <td>Prix</td>
                </tr>
            </thead>
            <tbody>
            {% for product in cart.products %}
                <tr>
                    <td>{{ product.name|capitalize }}</td>
                    <td>{{ product.price/100 }} €</td>
                </tr>
            {% endfor %}
            <tr class="table-active">
                <td>Total à payer</td>
                <td>{{ cart.total/100 }} €</td>
            </tr>
            </tbody>
        </table>
        <div>
            <button id="checkout-button" class="btn btn-primary">Valider mon panier</button>
        </div>
    </section>
    
{% endblock content %}
    </div>
{% endblock container %}


{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('js/landing-page', null, 'frontend') }}
    <script src="https://js.stripe.com/v3/"></script>
    <script src="{{ asset('build/frontend/js/custom.js')}}"></script>
{% endblock %}
